import 'package:account/src/core/domain/repositories/account_repository.dart';
import 'package:account/src/features/app_users/domain/delete_app_user_use_case.dart';

class DeleteAppUserUseCaseImpl implements DeleteAppUserUseCase {
  DeleteAppUserUseCaseImpl(this._repository);

  final AccountRepository _repository;

  @override
  Future<void> deleteAppUser({required String userId}) {
    return _repository.deleteAppUser(userId: userId);
  }
}
